local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

-- Set the flash durations in seconds
local flashOnDuration = 0.10
local flashOffDuration = 0.10
local flashPauseDuration = 0.00

local flashTimer = 0
local flashCount = 0
local currentFlash = "left"

local function updateGFX(dt)
  if electrics.values.signal_left_input == 1 or electrics.values.signal_right_input == 1 then
    electrics.values.amber_left = 0
    electrics.values.amber_right = 0
  elseif electrics.values.warninglights_toggle == 1 then
    flashTimer = flashTimer + dt

    if currentFlash == "left" then
      if flashCount < 3 then
        if flashTimer < flashOnDuration then
          electrics.values.amber_left = 1
        elseif flashTimer < flashOnDuration + flashOffDuration then
          electrics.values.amber_left = 0
        else
          flashTimer = 0
          flashCount = flashCount + 1
        end
      elseif flashTimer < flashPauseDuration then
        electrics.values.amber_left = 0
      else
        flashTimer = 0
        flashCount = 0
        currentFlash = "right"
      end
    elseif currentFlash == "right" then
      if flashCount < 3 then
        if flashTimer < flashOnDuration then
          electrics.values.amber_right = 1
        elseif flashTimer < flashOnDuration + flashOffDuration then
          electrics.values.amber_right = 0
        else
          flashTimer = 0
          flashCount = flashCount + 1
        end
      elseif flashTimer < flashPauseDuration then
        electrics.values.amber_right = 0
      else
        flashTimer = 0
        flashCount = 0
        currentFlash = "left"
      end
    end
  else
    electrics.values.amber_left = 0
    electrics.values.amber_right = 0
    flashTimer = 0  -- Reset the timer when not in warning lights mode
    flashCount = 0  -- Reset the flash count when not in warning lights mode
    currentFlash = "left"  -- Reset to starting position when not in warning lights mode
  end
end

M.updateGFX = updateGFX

return M